//
//  YCKAccount.h
//  YCKSdwan
//
//  Created by 徐家骏 on 2019/5/5.
//  Copyright © 2019 徐家骏. All rights reserved.
//

#pragma once
#ifdef SDK_SIMPLE_INCLUDE
#include "common.h"
#else
#include <YCKSdwan/common.h>
#endif

class DLL_DECL_SDWAN YCKAccount {
public:
PROPERTY(nonatomic) int64_t uid = 0; // sdk体系内的用户id,目前app调登录传入的就是此值
PROPERTY(nonatomic) int64_t rid = 0;
PROPERTY(nonatomic) std::vector<byte> iKey;
PROPERTY(nonatomic) std::string token;
PROPERTY(nonatomic) std::string countryCode;
PROPERTY(nonatomic) BOOL ckEnable = false;
PROPERTY(nonatomic) BOOL activated = false; //如果是付费用户，这个用来区分账号是否已激活。
int64_t triggerUid = 0;
static YCKAccount accountWithID(int64_t accountID);

YCKAccount();
YCKAccount(int64_t u);

};

